Package org.gradle.api.artifacts.result

# Interface ResolvedVariantResult

public interface ResolvedVariantResult
The result of successfully resolving a component variant.

Since:
  3.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AttributeContainer`
  `getAttributes()`
  The attributes associated with this variant.
  `List<Capability>`
  `getCapabilities()`
  The capabilities provided by this variant
  `String`
  `getDisplayName()`
  The display name of this variant, for diagnostics.
  `Optional<ResolvedVariantResult>`
  `getExternalVariant()`
  If present, this means that this variant is a bridge to another variant found in another module.
  `ComponentIdentifier`
  `getOwner()`
  The component which owns this variant.

- ## Method Details

  - ### getOwner

    ComponentIdentifier getOwner()
    The component which owns this variant.
    Returns:
      the component identifier of this variant
    Since:
      6.8

  - ### getAttributes

    AttributeContainer getAttributes()
    The attributes associated with this variant.

  - ### getDisplayName

    String getDisplayName()
    The display name of this variant, for diagnostics.
    Since:
      4.6

  - ### getCapabilities

    List<Capability> getCapabilities()
    The capabilities provided by this variant
    Since:
      5.3

  - ### getExternalVariant

    Optional<ResolvedVariantResult> getExternalVariant()
    If present, this means that this variant is a bridge to another variant found in another module. This corresponds to variants which are marked as "available-at" in Gradle Module Metadata.
    Returns:
      the external variant, if any
    Since:
      6.8